## org.eclipse.datatools.modelbase.sql.datatypes
Class IntervalQualifierType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.datatypes.IntervalQualifierType

public final class IntervalQualifierType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Interval Qualifier Type', and utility methods for working with them. 4.6.2 Intervals There are two classes of intervals. One class, called year-month intervals, has an express or implied datetime precision that includes no fields other than YEAR and MONTH , though not both are required. The other class, called day-time intervals, has an express or implied interval precision that can include any fields other than YEAR or MONTH . The actual subset of fields that comprise a value of either type of interval is defined by an <interval qualifier> and this subset is known as the precision of the value. Within a value of type interval, the first field is constrained only by the <interval leading field precision> of the associated <interval qualifier> . Table 6, "Valid values for fields in INTERVAL values", specifies the constraints on subsequent field values.

See Also:
  `SQLDataTypesPackage.getIntervalQualifierType()`, Serialized Form

Field Summary
`static int` `DAY` The 'DAY' literal value.
`static IntervalQualifierType` `DAY_LITERAL` The 'DAY' literal object.
`static int` `FRACTION` The 'FRACTION' literal value.
`static IntervalQualifierType` `FRACTION_LITERAL` The 'FRACTION' literal object.
`static int` `HOUR` The 'HOUR' literal value.
`static IntervalQualifierType` `HOUR_LITERAL` The 'HOUR' literal object.
`static int` `MINUTE` The 'MINUTE' literal value.
`static IntervalQualifierType` `MINUTE_LITERAL` The 'MINUTE' literal object.
`static int` `MONTH` The 'MONTH' literal value.
`static IntervalQualifierType` `MONTH_LITERAL` The 'MONTH' literal object.
`static int` `SECOND` The 'SECOND' literal value.
`static IntervalQualifierType` `SECOND_LITERAL` The 'SECOND' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Interval Qualifier Type' enumerators.
`static int` `YEAR` The 'YEAR' literal value.
`static IntervalQualifierType` `YEAR_LITERAL` The 'YEAR' literal object.

Method Summary
`static IntervalQualifierType` `get(int value)` Returns the 'Interval Qualifier Type' literal with the specified value.
`static IntervalQualifierType` `get(java.lang.String name)` Returns the 'Interval Qualifier Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR

    public static final int YEAR

  The 'YEAR' literal value.

  See Also:
    `YEAR_LITERAL`, Constant Field Values

### MONTH

    public static final int MONTH

  The 'MONTH' literal value.

  See Also:
    `MONTH_LITERAL`, Constant Field Values

### DAY

    public static final int DAY

  The 'DAY' literal value.

  See Also:
    `DAY_LITERAL`, Constant Field Values

### HOUR

    public static final int HOUR

  The 'HOUR' literal value.

  See Also:
    `HOUR_LITERAL`, Constant Field Values

### MINUTE

    public static final int MINUTE

  The 'MINUTE' literal value.

  See Also:
    `MINUTE_LITERAL`, Constant Field Values

### SECOND

    public static final int SECOND

  The 'SECOND' literal value.

  See Also:
    `SECOND_LITERAL`, Constant Field Values

### FRACTION

    public static final int FRACTION

  The 'FRACTION' literal value.

  If the meaning of 'FRACTION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FRACTION_LITERAL`, Constant Field Values

### YEAR_LITERAL

    public static final IntervalQualifierType YEAR_LITERAL

  The 'YEAR' literal object.

  If the meaning of 'YEAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `YEAR`

### MONTH_LITERAL

    public static final IntervalQualifierType MONTH_LITERAL

  The 'MONTH' literal object.

  If the meaning of 'MONTH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MONTH`

### DAY_LITERAL

    public static final IntervalQualifierType DAY_LITERAL

  The 'DAY' literal object.

  If the meaning of 'DAY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DAY`

### HOUR_LITERAL

    public static final IntervalQualifierType HOUR_LITERAL

  The 'HOUR' literal object.

  If the meaning of 'HOUR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HOUR`

### MINUTE_LITERAL

    public static final IntervalQualifierType MINUTE_LITERAL

  The 'MINUTE' literal object.

  If the meaning of 'MINUTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MINUTE`

### SECOND_LITERAL

    public static final IntervalQualifierType SECOND_LITERAL

  The 'SECOND' literal object.

  If the meaning of 'SECOND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SECOND`

### FRACTION_LITERAL

    public static final IntervalQualifierType FRACTION_LITERAL

  The 'FRACTION' literal object.

  See Also:
    `FRACTION`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Interval Qualifier Type' enumerators.

Method Detail

### get

    public static IntervalQualifierType get(java.lang.String name)

  Returns the 'Interval Qualifier Type' literal with the specified name.

### get

    public static IntervalQualifierType get(int value)

  Returns the 'Interval Qualifier Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.